PUT Application/PutRoles
Request Information
URI Parameters
None.
Body Parameters
Collection of Role| Name | Description | Type | Additional information |
|---|---|---|---|
| ID | globally unique identifier |
None. |
|
| Name | string |
Required |
|
| Description | string |
None. |
|
| IsSystemAdministrator | boolean |
Required |
|
| WorkflowID | globally unique identifier |
Required |
|
| IsGroupAdmin | boolean |
Required |
|
| Workflow | Workflow |
None. |
Request Formats
application/json, text/json
Sample:
[
{
"$id": "1",
"id": "10aa1545-3f99-4907-a16e-13cfdb193ae0",
"name": "sample string 2",
"description": "sample string 3",
"isSystemAdministrator": true,
"workflowID": "8fcb32de-2495-4c71-8165-f2945b793698",
"isGroupAdmin": true,
"workflow": {
"$id": "2",
"id": "a71283a0-49d7-4d3b-b3e1-948cc9b275c1",
"parentID": "fcdbe022-2d08-4d5d-982a-6905f0b7966b",
"typeID": 2,
"name": "sample string 3",
"description": "sample string 4",
"sequence": 5,
"active": true,
"caption": "sample string 7",
"iconName": "sample string 8",
"isMobile": true,
"alias": "sample string 10",
"notificationBadgeValueViewModel": "sample string 11",
"notificationBadgeBackgroundColour": "sample string 12",
"notificationBadgeTextColour": "sample string 13",
"isPercentageNotificationBadge": true,
"isVisible": true
}
},
{
"$ref": "1"
}
]
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
ServiceResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| IsSuccess | boolean |
None. |
|
| ErrorMessage | string |
None. |
|
| Code | string |
None. |
|
| Response | ServiceItem |
None. |
|
| LatestDataTimestampUtc | date |
None. |
Response Formats
application/json, text/json
Sample:
Sample not available.